Lavalite package that provides subject management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `research/subject`.

    "research/subject": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Research\Subject\Providers\SubjectServiceProvider::class,

And also add it to alias

    'Subject'  => Research\Subject\Facades\Subject::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Research\\SubjectTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Research\Subject\Providers\SubjectServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Research\Subject\Providers\SubjectServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Research\Subject\Providers\SubjectServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/subject/{modulename}

**User**

    http://path-to-route-folder/user/subject/{modulename}

**Public**

    http://path-to-route-folder/subjects


### API endpoints

**List**

    http://path-to-route-folder/api/user/subject/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/subject/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/subject/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/subject/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/subject/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/subject/{modulename}/{slug}
    METHOD: GET